NumberFormatter::getErrorCode
NumberFormatter::getLocale
NumberFormatter
PHP Manual

# NumberFormatter::getErrorMessage

# numfmt_get_error_message

Get formatter's last error message.

### Description

Object oriented style

public string NumberFormatter::getErrorMessage ( void )

Procedural style

string numfmt_get_error_message ( NumberFormatter `$fmt` )

Get error message from the last function performed by the formatter.

### Parameters

`fmt`

  NumberFormatter object.

### Return Values

Returns error message from last formatter call.

### Examples

Example #1 numfmt_get_error_message example

`<?php
$fmt = numfmt_create( 'de_DE', NumberFormatter::DECIMAL );
$data = numfmt_format($fmt, 1234567.891234567890000);
if(intl_is_failure(numfmt_get_error_code($fmt))) {
report_error("Formatter error");
}
?>`

Example #2 OO example

`<?php
$fmt = new NumberFormatter( 'de_DE', NumberFormatter::DECIMAL );
$fmt->format(1234567.891234567890000);
if(intl_is_failure($fmt->getErrorCode())) {
report_error("Formatter error");
}
?>`

### See Also

- numfmt_get_error_code
- intl_get_error_code
- intl_is_failure